/*  External stuff for slider controls */

/* constants for slider type; default is plain */
#define SCALE	1
#define REVSCALE	2
#define SCROLL	3

void InitSliders(void);
void KillSliders(void);

#ifdef PROTO

ObjPtr NewSlider(int, int, int, int, int, char *);
ObjPtr NewScrollbar(int, int, int, int, char *);
void ActivateSlider(ObjPtr, Bool);
void SetTrackNot(ObjPtr, int);
ObjPtr SetSliderValue(ObjPtr, real);
ObjPtr SliderReadout(ObjPtr, ObjPtr);void SetPortionShown(ObjPtr, real);
void SetSliderRange(ObjPtr, real, real, real);
void SetSliderScale(ObjPtr, real, real, real, char *);
real GetSliderValue(ObjPtr);

#else

ObjPtr NewSlider();
ObjPtr NewScrollbar();
void ActivateSlider();
void SetTrackNot();
ObjPtr SetSliderValue();
ObjPtr SliderReadout();
void SetPortionShown();
void SetSliderRange();
void SetSliderScale();
real GetSliderValue();

#endif

